Manifest-Version: 1.0
Bnd-LastModified: 1737727581182
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Document Library Video
Bundle-SymbolicName: com.liferay.document.library.video
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 1.0.58.hotfix-6424-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: aQute.bnd.annotation.metatype;version="1.45",com.lifer
 ay.counter.kernel.service;version="2.2",com.liferay.document.library.
 display.context;version="9.1",com.liferay.document.library.icon.provi
 der;version="1.0",com.liferay.document.library.item.selector.criterio
 n;version="1.0",com.liferay.document.library.kernel.exception;version
 ="4.2",com.liferay.document.library.kernel.model;version="8.2",com.li
 feray.document.library.kernel.service;version="11.3",com.liferay.docu
 ment.library.kernel.util;version="8.0",com.liferay.document.library.p
 review;version="2.0",com.liferay.document.library.preview.exception;v
 ersion="1.0",com.liferay.document.library.service;version="2.8",com.l
 iferay.document.library.url.provider;version="1.0",com.liferay.docume
 nt.library.util;version="1.2",com.liferay.document.library.video.exte
 rnal.shortcut;version="1.0",com.liferay.document.library.video.extern
 al.shortcut.provider;version="1.0",com.liferay.document.library.video
 .external.shortcut.resolver;version="1.0",com.liferay.document.librar
 y.video.renderer;version="1.0",com.liferay.dynamic.data.mapping.model
 ;version="7.1",com.liferay.dynamic.data.mapping.service;version="4.0"
 ,com.liferay.dynamic.data.mapping.storage;version="2.1",com.liferay.d
 ynamic.data.mapping.util;version="8.0",com.liferay.expando.kernel.mod
 el;version="6.0",com.liferay.frontend.editor.embed;version="1.0",com.
 liferay.frontend.taglib.clay.servlet.taglib.util;version="4.2",com.li
 feray.item.selector;version="4.10",com.liferay.item.selector.criteria
 ;version="2.3",com.liferay.item.selector.criteria.video.criterion;ver
 sion="1.1",com.liferay.osgi.service.tracker.collections.list;version=
 "3.0",com.liferay.petra.function;version="1.5",com.liferay.petra.io;v
 ersion="1.3",com.liferay.petra.string;version="1.7",com.liferay.porta
 l.configuration.metatype.annotations;version="1.6",com.liferay.portal
 .configuration.metatype.bnd.util;version="3.0",com.liferay.portal.eve
 nts;version="10.2",com.liferay.portal.instance.lifecycle;version="3.0
 ",com.liferay.portal.kernel.events;version="6.3",com.liferay.portal.k
 ernel.exception;version="13.1",com.liferay.portal.kernel.image;versio
 n="10.0",com.liferay.portal.kernel.io.unsync;version="8.0",com.lifera
 y.portal.kernel.json;version="12.1",com.liferay.portal.kernel.languag
 e;version="11.0",com.liferay.portal.kernel.log;version="8.0",com.life
 ray.portal.kernel.model;version="30.0",com.liferay.portal.kernel.port
 let;version="24.1",com.liferay.portal.kernel.portlet.bridges.mvc;vers
 ion="6.1",com.liferay.portal.kernel.repository.friendly.url.resolver;
 version="2.0",com.liferay.portal.kernel.repository.model;version="11.
 2",com.liferay.portal.kernel.service;version="23.1",com.liferay.porta
 l.kernel.servlet.taglib;version="9.0",com.liferay.portal.kernel.theme
 ;version="10.5",com.liferay.portal.kernel.upload;version="10.0",com.l
 iferay.portal.kernel.util;version="60.0",com.liferay.portal.servlet.f
 ilters;version="1.0",com.liferay.portal.util;version="49.0",com.lifer
 ay.portal.verify,javax.portlet,javax.servlet,javax.servlet.http,org.o
 sgi.framework;version="1.8"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Document Library
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Communication
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: collaboration
Liferay-Releng-Suite-Description: The Liferay Collaboration suite prov
 ides applications and features that help users share ideas, implement
  them, and produce terrific results. Its apps such as Message Boards 
 and Blogs help users start discussions, ask questions, share ideas, a
 nd connect with other users. Wiki allows users to share in-depth info
 rmation. And Alerts and Announcements facilitate broadcasting informa
 tion and notifications.<br /><br />As users collaborate, they're sure
  to produce important files. The suite's Documents and Media Library 
 allows users to store files, share them, and publish them. It not onl
 y works with Liferay's built-in repository but also allows you to int
 egrate with external repositories, such CMIS repositories. Users can 
 add and share all kinds of files, including documents, presentations,
  images, and videos. And the suite's Documents and Media app and Medi
 a Gallery help users display files the way they like them.<br /><br /
 >As users engage in site activities, you'll want to recognize them an
 d connect them with other users. The suite's social networking apps a
 nd features enable you to attribute social equity to active users aut
 omatically by increasing their rank on the site. You can even highlig
 ht user activities to show your site's liveliness. The Mentions featu
 re facilitates notifying specific users in the context of site conten
 t, discussions, and comments. The social apps also help users share t
 heir thoughts on the your sites and other social sites, such as Faceb
 ook and Twitter. Combined with the suite's collaboration and document
  management features, the Collaboration suite's social features help 
 develop awesome communities, foster high morale, and make work intere
 sting.<br /><br />Apps and Features: Activities, Alerts, Announcement
 s, Blogs, Bookmarks, Comments, Friends/My Sites/Portal/Site Members D
 irectory, Documents and Media, Friend Requests, Image Uploader, Invit
 e Members, Media Gallery, Message Boards, Mentions, Microblogs, Page 
 Flags/Comments/Ratings, Quick Note, Requests, Social Activity, User/G
 roup Statistics, Wiki.<br /><br />This suite may contain modules that
  depend on Foundation suite modules. This suite is available in the L
 iferay bundle.
Liferay-Releng-Suite-Title: Liferay Collaboration
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.document.library.video.internal.configura
 tion,com.liferay.document.library.video.internal.constants,com.lifera
 y.document.library.video.internal.converter,com.liferay.document.libr
 ary.video.internal.display.context,com.liferay.document.library.video
 .internal.helper,com.liferay.document.library.video.internal.icon.pro
 vider,com.liferay.document.library.video.internal.instance.lifecycle,
 com.liferay.document.library.video.internal.item.selector,com.liferay
 .document.library.video.internal.item.selector.criterion,com.liferay.
 document.library.video.internal.portlet,com.liferay.document.library.
 video.internal.portlet.action,com.liferay.document.library.video.inte
 rnal.preview,com.liferay.document.library.video.internal.servlet.filt
 er,com.liferay.document.library.video.internal.servlet.taglib,com.lif
 eray.document.library.video.internal.url.provider,com.liferay.documen
 t.library.video.internal.util,com.liferay.document.library.video.inte
 rnal.util.dependencies,com.liferay.document.library.video.internal.ve
 rify,com.liferay.document.library.video.internal.video.external.short
 cut.provider,com.liferay.document.library.video.internal.video.extern
 al.shortcut.resolver,com.liferay.document.library.video.internal.vide
 o.renderer
Provide-Capability: osgi.webresource;osgi.webresource=document-library
 -video;version:Version="1.0.58.hotfix-6424-7413",osgi.service;objectC
 lass:List<String>="com.liferay.document.library.display.context.DLDis
 playContextFactory";uses:="com.liferay.document.library.display.conte
 xt",osgi.service;objectClass:List<String>="com.liferay.document.libra
 ry.icon.provider.DLFileEntryTypeIconProvider";uses:="com.liferay.docu
 ment.library.icon.provider",osgi.service;objectClass:List<String>="co
 m.liferay.document.library.item.selector.criterion.DLItemSelectorCrit
 erionCreationMenuRestriction";uses:="com.liferay.document.library.ite
 m.selector.criterion",osgi.service;objectClass:List<String>="com.life
 ray.document.library.kernel.util.VideoConverter,com.liferay.document.
 library.video.internal.converter.DLVideoFFMPEGVideoConverter";uses:="
 com.liferay.document.library.kernel.util,com.liferay.document.library
 .video.internal.converter",osgi.service;objectClass:List<String>="com
 .liferay.document.library.preview.DLPreviewRendererProvider";uses:="c
 om.liferay.document.library.preview",osgi.service;objectClass:List<St
 ring>="com.liferay.document.library.url.provider.DLFileVersionURLProv
 ider";uses:="com.liferay.document.library.url.provider",osgi.service;
 objectClass:List<String>="com.liferay.document.library.video.external
 .shortcut.provider.DLVideoExternalShortcutProvider";uses:="com.lifera
 y.document.library.video.external.shortcut.provider",osgi.service;obj
 ectClass:List<String>="com.liferay.document.library.video.external.sh
 ortcut.resolver.DLVideoExternalShortcutResolver";uses:="com.liferay.d
 ocument.library.video.external.shortcut.resolver",osgi.service;object
 Class:List<String>="com.liferay.document.library.video.internal.helpe
 r.DLVideoExternalShortcutMetadataHelperFactory";uses:="com.liferay.do
 cument.library.video.internal.helper",osgi.service;objectClass:List<S
 tring>="com.liferay.document.library.video.renderer.DLVideoRenderer";
 uses:="com.liferay.document.library.video.renderer",osgi.service;obje
 ctClass:List<String>="com.liferay.item.selector.ItemSelectorView";use
 s:="com.liferay.item.selector",osgi.service;objectClass:List<String>=
 "com.liferay.portal.instance.lifecycle.PortalInstanceLifecycleListene
 r";uses:="com.liferay.portal.instance.lifecycle",osgi.service;objectC
 lass:List<String>="com.liferay.portal.kernel.portlet.bridges.mvc.MVCR
 enderCommand";uses:="com.liferay.portal.kernel.portlet.bridges.mvc",o
 sgi.service;objectClass:List<String>="com.liferay.portal.kernel.portl
 et.bridges.mvc.MVCResourceCommand";uses:="com.liferay.portal.kernel.p
 ortlet.bridges.mvc",osgi.service;objectClass:List<String>="com.lifera
 y.portal.kernel.servlet.taglib.DynamicInclude";uses:="com.liferay.por
 tal.kernel.servlet.taglib",osgi.service;objectClass:List<String>="com
 .liferay.portal.verify.VerifyProcess";uses:="com.liferay.portal.verif
 y",osgi.service;objectClass:List<String>="javax.portlet.Portlet";uses
 :="javax.portlet",osgi.service;objectClass:List<String>="javax.servle
 t.Filter";uses:="javax.servlet"
Require-Capability: osgi.extender;filter:="(&(osgi.extender=jsp.taglib
 )(uri=http://java.sun.com/portlet_2_0))",osgi.extender;filter:="(&(os
 gi.extender=jsp.taglib)(uri=http://liferay.com/tld/aui))",osgi.extend
 er;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/c
 lay))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http:/
 /liferay.com/tld/frontend))",osgi.extender;filter:="(&(osgi.extender=
 jsp.taglib)(uri=http://liferay.com/tld/portlet))",osgi.extender;filte
 r:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/react))",
 osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://lifera
 y.com/tld/theme))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib
 )(uri=http://liferay.com/tld/ui))",osgi.extender;filter:="(&(osgi.ext
 ender=jsp.taglib)(uri=http://liferay.com/tld/util))",osgi.extender;fi
 lter:="(&(osgi.extender=osgi.component)(version>=1.3.0)(!(version>=2.
 0.0)))",osgi.service;filter:="(objectClass=com.liferay.document.libra
 ry.kernel.service.DLAppLocalService)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.document.library.kernel.service.DLA
 ppService)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.document.library.kernel.service.DLFileEntryMetadataLocalServi
 ce)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .document.library.kernel.service.DLFileEntryTypeLocalService)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.document.l
 ibrary.kernel.util.VideoProcessor)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.document.library.service.DLFileVersio
 nPreviewLocalService)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.document.library.util.DLURLHelper)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.document.library.v
 ideo.external.shortcut.resolver.DLVideoExternalShortcutResolver)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.documen
 t.library.video.internal.converter.DLVideoFFMPEGVideoConverter)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.document
 .library.video.internal.helper.DLVideoExternalShortcutMetadataHelperF
 actory)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.document.library.video.renderer.DLVideoRenderer)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.dynamic.data.mappi
 ng.service.DDMStructureLocalService)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.dynamic.data.mapping.storage.DDMSto
 rageEngineManager)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.dynamic.data.mapping.storage.StorageEngine)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.dynamic.data
 .mapping.util.DDMFormValuesToFieldsConverter)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.dynamic.data.mapping.util.
 DDMStructurePermissionSupport)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.dynamic.data.mapping.util.DefaultDDMStruc
 tureHelper)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.dynamic.data.mapping.util.FieldsToDDMFormValuesConverter)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.porta
 l.kernel.image.ImageTool)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.portal.kernel.json.JSONFactory)";effective:=ac
 tive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.lan
 guage.Language)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.portal.kernel.repository.friendly.url.resolver.FileEntry
 FriendlyURLResolver)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.portal.kernel.service.ClassNameLocalService)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.ke
 rnel.service.CompanyLocalService)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.portal.kernel.service.GroupLocalServic
 e)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 portal.kernel.service.UserLocalService)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.portal.kernel.util.Http)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.ker
 nel.util.Portal)";effective:=active,osgi.service;filter:="(objectClas
 s=javax.servlet.ServletContext)";effective:=active,osgi.contract;osgi
 .contract=JavaServlet;filter:="(&(osgi.contract=JavaServlet)(version=
 3.1.0))",osgi.contract;osgi.contract=JavaPortlet;filter:="(&(osgi.con
 tract=JavaPortlet)(version=3.0.0))",osgi.ee;filter:="(&(osgi.ee=JavaS
 E)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.document.library.video.interna
 l.converter.DLVideoFFMPEGVideoConverter.xml,OSGI-INF/com.liferay.docu
 ment.library.video.internal.display.context.DLVideoExternalShortcutDL
 DisplayContextFactory.xml,OSGI-INF/com.liferay.document.library.video
 .internal.helper.DLVideoExternalShortcutMetadataHelperFactory.xml,OSG
 I-INF/com.liferay.document.library.video.internal.icon.provider.DLVid
 eoDLFileEntryTypeIconProvider.xml,OSGI-INF/com.liferay.document.libra
 ry.video.internal.instance.lifecycle.DLVideoExternalShortcutPortalIns
 tanceLifecycleListener.xml,OSGI-INF/com.liferay.document.library.vide
 o.internal.item.selector.DLVideoExternalShortcutURLItemSelectorView.x
 ml,OSGI-INF/com.liferay.document.library.video.internal.item.selector
 .criterion.DLVideoItemSelectorCriterionCreationMenuRestriction.xml,OS
 GI-INF/com.liferay.document.library.video.internal.portlet.DLVideoPor
 tlet.xml,OSGI-INF/com.liferay.document.library.video.internal.portlet
 .action.EmbedVideoMVCRenderCommand.xml,OSGI-INF/com.liferay.document.
 library.video.internal.portlet.action.EmbedVideoStatusMVCResourceComm
 and.xml,OSGI-INF/com.liferay.document.library.video.internal.portlet.
 action.GetDLVideoExternalShortcutFieldsMVCResourceCommand.xml,OSGI-IN
 F/com.liferay.document.library.video.internal.preview.DLVideoDLPrevie
 wRendererProvider.xml,OSGI-INF/com.liferay.document.library.video.int
 ernal.servlet.filter.DLVideoEmbedFilter.xml,OSGI-INF/com.liferay.docu
 ment.library.video.internal.servlet.taglib.DLVideoFFMPEGEditConfigura
 tionJSPDynamicInclude.xml,OSGI-INF/com.liferay.document.library.video
 .internal.url.provider.DLVideoExternalShortcutDLFileVersionURLProvide
 r.xml,OSGI-INF/com.liferay.document.library.video.internal.verify.DLV
 ideoVerifyProcess.xml,OSGI-INF/com.liferay.document.library.video.int
 ernal.video.external.shortcut.provider.EditorEmbedProviderDLVideoExte
 rnalShortcutProvider.xml,OSGI-INF/com.liferay.document.library.video.
 internal.video.external.shortcut.provider.FacebookDLVideoExternalShor
 tcutProvider.xml,OSGI-INF/com.liferay.document.library.video.internal
 .video.external.shortcut.provider.TwitchDLVideoExternalShortcutProvid
 er.xml,OSGI-INF/com.liferay.document.library.video.internal.video.ext
 ernal.shortcut.provider.VimeoDLVideoExternalShortcutProvider.xml,OSGI
 -INF/com.liferay.document.library.video.internal.video.external.short
 cut.provider.YouTubeDLVideoExternalShortcutProvider.xml,OSGI-INF/com.
 liferay.document.library.video.internal.video.external.shortcut.resol
 ver.DLVideoExternalShortcutResolverImpl.xml,OSGI-INF/com.liferay.docu
 ment.library.video.internal.video.renderer.DLVideoRendererImpl.xml
Tool: Bnd-4.3.0.201909301554
Web-ContextPath: /document-library-video

